import controlP5.*;

ControlP5 controlP5;
ControlWindow controlWindow;

Boolean isShape;
Boolean isHighlight;
Boolean isMeshWire;
Boolean isMeshFill;
Boolean isWire;
Boolean isGuide;
Boolean isAxis;

public void createControls(){
	
	controlP5 = new ControlP5(this);                       

    int offset;
    int id = 0;
    float absMax = 100;
    int sliderWidth  = 190;
    int sliderHeight = 12;
    int sliderHeightSpread = 20;
    offset = 60;
    controlP5.addSlider("margins", -1,1,margins,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("rootRadius", 0,1000,rootRadius,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    offset+=20;
    controlP5.addSlider("rootScalar", 0,200,rootScalar,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("rootNoiseRadius", 0,1000,rootNoiseRadius,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("rootNoiseSpeed", 0,.25,rootNoiseSpeed,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    offset+=20;
    controlP5.addSlider("rootHighlightSpeed", 0,1,rootHighlightSpeed,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    offset+=20;
    controlP5.addSlider("rootSpinSpeedRange", 0,5,rootSpinSpeedRange,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("rootSpinSpeed", 0,5,rootSpinSpeed,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    offset+=20;
    controlP5.addSlider("elastictySmoothness", 0,1,elastictySmoothness,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("elastictyRigidity", 0,1,elastictyRigidity,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    controlP5.addSlider("elastictySpread", 0,10,elastictySpread,    10,offset+id*sliderHeightSpread, sliderWidth,sliderHeight); id++;
    offset+=20;

    controlP5.addButton("resetButton", 0,    10,offset+id*sliderHeightSpread, sliderWidth,30); id++;

	controlP5.setAutoDraw(false);

	toggleShape(false);
    toggleWire(false);              
    toggleGuide(false);
    toggleAxis(true);
    toggleHighlight(false);
    toggleMeshWire(false);                          
    toggleMeshFill(true);                          

   	float inc = 70;
    controlP5.addToggle("toggleShape",isShape,10+inc*0,10,50,20);
	controlP5.addToggle("toggleWire",isWire,10+inc*1,10,50,20);
	controlP5.addToggle("toggleGuide",isGuide,10+inc*2,10,50,20);
	controlP5.addToggle("toggleAxis",isAxis,10+inc*3,10,50,20);
	controlP5.addToggle("toggleHighlight",isHighlight,10+inc*4,10,50,20);
	controlP5.addToggle("toggleMeshFill",isMeshFill,10+inc*5,10,50,20);	
	controlP5.addToggle("toggleMeshWire",isMeshWire,10+inc*6,10,50,20);	
}

public void drawControls(){
	controlP5.draw();
}

public void toggleShape(boolean theFlag) {
	isShape = theFlag;
}
public void toggleHighlight(boolean theFlag) {
	isHighlight = theFlag;
}
public void toggleMeshFill(boolean theFlag) {
	isMeshFill = theFlag;
}
public void toggleMeshWire(boolean theFlag) {
	isMeshWire = theFlag;
}
public void toggleWire(boolean theFlag) {
	isWire = theFlag;
}
public void toggleGuide(boolean theFlag) {
	isGuide = theFlag;
}
public void toggleAxis(boolean theFlag) {
	isAxis = theFlag;
}
